Subject: bug#70939: [PATCH] Add commands to run unit tests in go-ts-mode

From: Ankit Gadiya <[email-masked]>
Date: Sun, 7 Jul 2024 12:56:51 +0530

On Sun, 7 Jul 2024 at 04:00, Dmitry Gutov <[email-masked]> wrote:
>
> On 07/07/2024 01:08, Stefan Kangas wrote:
> > BTW, eventually I think that we want a general command for this in
> > project.el, e.g.  "project-run-tests" or something like that.
>
> Some command (or even a set of commands) would indeed be useful. I'm not
> sure it should be tied to 'project', though - IME those commands usually
> only need to find the test root, and that one does not always match the
> project root.

It would be good to have a separate module similar to compile.el. Then
mode-specific implementation can register test functions. The project.el
command(s) can then be added to run on project-root.

-- 
Ankit